# Validating Information

When a customer signs up or edits their account, they can declare information which must be in an ISO format to be accepted by the database. This includes:

```
country_id
country_id_billing
customer_iso_language_code
```

There are several API routes to aid with validation and value selection. You can use these routes to display pre-validated lists for things like country\_id and languages or to geocode a customers address input into standardized information. These Utility API Routes include:

```
Retrieve ISO Country Codes - Retrieve pre-validated list of all country codes, calling codes and subdivisions
Retrieve ISO Language Codes - Retrieve pre-validated list of all langauge codes
Retrieve IP Address Geolocation - Helps Geolocate a customers IP Address
Geocode Address - Returns Standardized / Cleaned Address Information
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://internal.developer.documentation.private.user.pingproxies.com/customer-account-management/validating-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
